Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

eznodeassignment.php
Go to the documentation of this file.
1 <?php
16 class eZNodeAssignment extends eZPersistentObject
17 {
18 public $TempNode;
19 public $OpCode;
20 // Bit 0 is used to mark if the action is to be performed or not
21 // A value of 0 means ignore and 1 means execute
22 const OP_CODE_NOP = 0;
23 const OP_CODE_EXECUTE = 1;
24 // Create the node at specified location
25 const OP_CODE_CREATE_NOP = 2;
26 const OP_CODE_CREATE = 3;
27 // Move the node to new location
28 const OP_CODE_MOVE_NOP = 4;
29 const OP_CODE_MOVE = 5;
30 // Remove existing node
31 const OP_CODE_REMOVE_NOP = 6;
32 const OP_CODE_REMOVE = 7;
33 // Set (update/create) values for node
34 const OP_CODE_SET_NOP = 8;
35 const OP_CODE_SET = 9;
36
37 public function __construct( $row )
38 {
39 $this->TempNode = null;
40 $this->Name = false;
41 parent::__construct( $row );
42 }
43
44 static function definition()
45 {
46 return array( 'fields' => array( 'id' => array( 'name' => 'ID',
47 'datatype' => 'integer',
48 'default' => 0,
49 'required' => true ),
50 // Used for the remote id of the node assignment itself
51 'remote_id' => array( 'name' => 'RemoteID',
52 'datatype' => 'string',
53 'default' => 0,
54 'required' => true ),
55 'contentobject_id' => array( 'name' => 'ContentobjectID',
56 'datatype' => 'integer',
57 'default' => 0,
58 'required' => true,
59 'foreign_class' => 'eZContentObject',
60 'foreign_attribute' => 'id',
61 'multiplicity' => '1..*' ),
62 'contentobject_version' => array( 'name' => 'ContentObjectVersion',
63 'datatype' => 'integer',
64 'default' => 0,
65 'required' => true ),
66 'parent_node' => array( 'name' => 'ParentNode',
67 'datatype' => 'integer',
68 'default' => 0,
69 'required' => true,
70 'foreign_class' => 'eZContentObjectTreeNode',
71 'foreign_attribute' => 'node_id',
72 'multiplicity' => '1..*' ),
73 'sort_field' => array( 'name' => 'SortField',
74 'datatype' => 'integer',
75 'default' => eZContentObjectTreeNode::SORT_FIELD_PATH,
76 'required' => true ),
77 'sort_order' => array( 'name' => 'SortOrder',
78 'datatype' => 'integer',
79 'default' => eZContentObjectTreeNode::SORT_ORDER_ASC,
80 'required' => true ),
81 'is_main' => array( 'name' => 'Main',
82 'datatype' => 'integer',
83 'default' => 0,
84 'required' => true ),
85 'from_node_id' => array( 'name' => 'FromNodeID',
86 'datatype' => 'integer',
87 'default' => 0,
88 'required' => true,
89 'foreign_class' => 'eZContentObjectTreeNode',
90 'foreign_attribute' => 'node_id',
91 'multiplicity' => '1..*' ),
92 // Used for the remote id of the corresponding tree node (not the parent tree node!)
93 'parent_remote_id' => array( 'name' => 'ParentRemoteID',
94 'datatype' => 'string',
95 'default' => '',
96 'required' => false ),
97 'is_hidden' => array( 'name' => 'Hidden',
98 'datatype' => 'integer',
99 'default' => 0,
100 'required' => false ),
101 'priority' => array( 'name' => 'Priority',
102 'datatype' => 'integer',
103 'default' => 0,
104 'required' => false ),
105 'op_code' => array( 'name' => 'OpCode',
106 'datatype' => 'int',
107 'default' => 0, // eZNodeAssignment::OP_CODE_NOP
108 'required' => true ) ),
109 'keys' => array( 'id' ),
110 "function_attributes" => array( "parent_node_obj" => "getParentNode",
111 "parent_contentobject" => "getParentObject",
112 "node" => "fetchNode",
113 'is_nop_operation' => 'isNopOperation',
114 'is_create_operation' => 'isCreateOperation',
115 'is_move_operation' => 'isMoveOperation',
116 'is_remove_operation' => 'isRemoveOperation',
117 'is_set_operation' => 'isSetOperation',
118 'temp_node' => 'tempNode' ),
119 "increment_key" => "id",
120 'class_name' => 'eZNodeAssignment',
121 'name' => 'eznode_assignment' );
122 }
123
124 function tempNode()
125 {
126 if ( $this->TempNode == null )
127 {
128 $this->TempNode = eZContentObjectTreeNode::create( $this->attribute( 'parent_node' ),
129 $this->attribute( 'contentobject_id' ),
130 $this->attribute( 'contentobject_version' ),
131 $this->attribute( 'sort_field' ),
132 $this->attribute( 'sort_order' ) );
133 $this->TempNode->setName( $this->Name );
134 }
135 return $this->TempNode;
136 }
137
138 function setName( $name )
139 {
140 return $this->Name = $name;
141 }
142
143 function name()
144 {
145 return $this->Name;
146 }
147
152 function isNopOperation()
153 {
154 return ( $this->OpCode & 1 ) == eZNodeAssignment::OP_CODE_NOP;
155 }
156
161 function isCreateOperation()
162 {
163 return $this->OpCode == eZNodeAssignment::OP_CODE_CREATE;
164 }
165
170 function isMoveOperation()
171 {
172 return $this->OpCode == eZNodeAssignment::OP_CODE_MOVE;
173 }
174
179 function isRemoveOperation()
180 {
181 return $this->OpCode == eZNodeAssignment::OP_CODE_REMOVE;
182 }
183
188 function isSetOperation()
189 {
190 return $this->OpCode == eZNodeAssignment::OP_CODE_SET;
191 }
192
193 static function create( $parameters = array() )
194 {
195 if ( !isset( $parameters['contentobject_id'] ) )
196 {
197 eZDebug::writeError( $parameters, "Cannot create node assignment without contentobject_id" );
198 $retValue = null;
199 return $retValue;
200 }
201 if ( !isset( $parameters['contentobject_version'] ) )
202 {
203 $parameters['contentobject_version'] = 1;
204 }
205 if ( !isset( $parameters['remote_id'] ) )
206 {
207 $parameters['remote_id'] = 0;
208 }
209 if ( !isset( $parameters['parent_node'] ) )
210 {
211 $parameters['parent_node'] = 2;
212 }
213 if ( !isset( $parameters['is_main'] ) )
214 {
215 $parameters['is_main'] = 0;
216 }
217 if ( !isset( $parameters['is_hidden'] ) )
218 {
219 $parameters['is_hidden'] = 0;
220 }
221 if ( !isset( $parameters['priority'] ) )
222 {
223 $parameters['priority'] = 0;
224 }
225 if ( !isset( $parameters['sort_field'] ) )
226 {
227 $parameters['sort_field'] = eZContentObjectTreeNode::SORT_FIELD_PUBLISHED;
228 }
229 if ( !isset( $parameters['sort_order'] ) )
230 {
231 $parameters['sort_order'] = eZContentObjectTreeNode::SORT_ORDER_DESC;
232 }
233 if ( !isset( $parameters['from_node_id'] ) )
234 {
235 $parameters['from_node_id'] = 0;
236 }
237 if ( !isset( $parameters['parent_remote_id'] ) || empty( $parameters['parent_remote_id'] ) )
238 {
239 $parameters['parent_remote_id'] = eZRemoteIdUtility::generate( 'node' );
240 }
241 if ( !isset( $parameters['op_code'] ) )
242 {
243 // The default value for new node-assigments is to create nodes from them.
244 $parameters['op_code'] = eZNodeAssignment::OP_CODE_CREATE;
245 }
246
247 return new eZNodeAssignment( $parameters );
248 }
249
260 function remove( $parentNodeID = false, $contentObjectID = false )
261 {
262 $db = eZDB::instance();
263 if ( $parentNodeID == false and $contentObjectID == false )
264 {
265 $nodeAssignment = $this;
266 }
267 else
268 {
269 $parentNodeID =(int) $parentNodeID;
270 $contentObjectID =(int) $contentObjectID;
271 $cond = array( 'parent_node' => $parentNodeID,
272 'contentobject_id' => $contentObjectID );
273 $nodeAssignment = eZPersistentObject::fetchObject( eZNodeAssignment::definition(),
274 null,
275 $cond,
276 true );
277 }
278 $nodeAssignment->setAttribute( "op_code", eZNodeAssignment::OP_CODE_REMOVE );
279 $nodeAssignment->store();
280 }
281
292 static function removeByID( $assignmentID )
293 {
294 $db = eZDB::instance();
295 if ( is_array( $assignmentID ) )
296 {
297 if ( count( $assignmentID ) == 0 )
298 {
299 return false;
300 }
301 $sql = "UPDATE eznode_assignment SET op_code = " . eZNodeAssignment::OP_CODE_REMOVE . ", is_main = 0 WHERE id IN ( ";
302 $i = 0;
303 foreach ( $assignmentID as $id )
304 {
305 if ( $i > 0 )
306 $sql .= ", ";
307 $sql .= (int)$id;
308 ++$i;
309 }
310 $sql .= ' )';
311 }
312 else
313 {
314 $sql = "UPDATE eznode_assignment SET op_code = " . eZNodeAssignment::OP_CODE_REMOVE . ", is_main = 0 WHERE id=" . (int)$assignmentID;
315 }
316 $db->query( $sql );
317 return true;
318 }
319
329 function purge( $parentNodeID = false, $contentObjectID = false )
330 {
331 if ( $parentNodeID == false && $contentObjectID == false )
332 {
333 eZDB::instance()->query( "DELETE FROM eznode_assignment WHERE id=" . (int)$this->attribute( 'id' ) );
334 }
335 else
336 {
337 self::purgeByParentAndContentObjectID( $parentNodeID, $contentObjectID );
338 }
339 }
340
347 public static function purgeByParentAndContentObjectID( $parentNodeID, $contentObjectID )
348 {
349 eZDB::instance()->query(
350 "DELETE FROM eznode_assignment WHERE parent_node=" . (int)$parentNodeID ." AND contentobject_id=" . (int)$contentObjectID
351 );
352 }
353
364 static function purgeByID( $assignmentID )
365 {
366 $db = eZDB::instance();
367 if ( is_array( $assignmentID ) )
368 {
369 if ( count( $assignmentID ) == 0 )
370 {
371 return false;
372 }
373 $sql = "DELETE FROM eznode_assignment WHERE id IN ( ";
374 $i = 0;
375 foreach ( $assignmentID as $id )
376 {
377 if ( $i > 0 )
378 $sql .= ", ";
379 $sql .= (int)$id;
380 ++$i;
381 }
382 $sql .= ' )';
383 }
384 else
385 {
386 $sql = "DELETE FROM eznode_assignment WHERE id=" . (int)$assignmentID;
387 }
388 $db->query( $sql );
389 return true;
390 }
391
392 static function fetchForObject( $contentObjectID, $version = 1, $main = 0, $asObject = true )
393 {
394 $cond = array( 'contentobject_id' => $contentObjectID,
395 'contentobject_version' => $version );
396 if( $main > 0 )
397 {
398 $cond['is_main'] = 1;
399 }
400 $objectList = eZPersistentObject::fetchObjectList( eZNodeAssignment::definition(),
401 null,
402 $cond,
403 null,
404 null,
405 $asObject );
406 return $objectList;
407 }
408
409 static function fetch( $contentObjectID, $version = 1, $parentNode = 0 ,$asObject = true )
410 {
411 $cond = array( 'contentobject_id' => $contentObjectID,
412 'contentobject_version' => $version,
413 'parent_node' => $parentNode );
414 return eZPersistentObject::fetchObject( eZNodeAssignment::definition(),
415 null,
416 $cond,
417 $asObject );
418 }
419
425 function fetchNode()
426 {
427 return eZContentObjectTreeNode::fetchNode( $this->ContentobjectID, $this->ParentNode );
428 }
429
434 static function fetchByID( $id ,$asObject = true )
435 {
436 $cond = array( 'id' => $id );
437 return eZPersistentObject::fetchObject( eZNodeAssignment::definition(),
438 null, $cond,
439 $asObject );
440 }
441
446 static function fetchListByID( $idList ,$asObject = true )
447 {
448 $cond = array( 'id' => array( $idList ) );
449 return eZPersistentObject::fetchObjectList( eZNodeAssignment::definition(),
450 null, $cond, null, null,
451 $asObject );
452 }
453
461 static function fetchChildCountByVersionStatus( $parentNodeIDList, $status = eZContentObjectVersion::STATUS_PENDING )
462 {
463 $db = eZDB::instance();
464 $parentIDStatement = $db->generateSQLINStatement( $parentNodeIDList );
465 $sql = "SELECT COUNT( DISTINCT eznode_assignment.id ) AS cnt
466 FROM ezcontentobject_version, eznode_assignment
467 WHERE ezcontentobject_version.contentobject_id = eznode_assignment.contentobject_id
468 AND ezcontentobject_version.version = eznode_assignment.contentobject_version
469 AND ezcontentobject_version.status = $status
470 AND eznode_assignment.parent_node $parentIDStatement ";
471 $countResult = $db->arrayQuery( $sql );
472 return (int)$countResult[0]['cnt'];
473 }
474
484 static function fetchChildListByVersionStatus( $parentNodeIDList, $status = eZContentObjectVersion::STATUS_PENDING, $asObject = true )
485 {
486 $db = eZDB::instance();
487 $parentIDStatement = $db->generateSQLINStatement( $parentNodeIDList );
488
489 $sql = "SELECT DISTINCT eznode_assignment.*
490 FROM ezcontentobject_version, eznode_assignment
491 WHERE ezcontentobject_version.contentobject_id = eznode_assignment.contentobject_id
492 AND ezcontentobject_version.version = eznode_assignment.contentobject_version
493 AND ezcontentobject_version.status = $status
494 AND eznode_assignment.parent_node $parentIDStatement
495 ORDER BY eznode_assignment.contentobject_id";
496 $nodeAssignmentArray = $db->arrayQuery( $sql );
497 if( $asObject )
498 {
499 $result = array();
500 foreach( $nodeAssignmentArray as $nodeAssignment )
501 {
502 $result[] = new eZNodeAssignment( $nodeAssignment );
503 }
504 return $result;
505 }
506 else
507 {
508 return $nodeAssignmentArray;
509 }
510 }
511
512
513 function cloneNodeAssignment( $nextVersionNumber = 1, $contentObjectID = false )
514 {
515 $assignmentRow = array( 'contentobject_id' => $this->attribute( 'contentobject_id' ),
516 'contentobject_version' => $nextVersionNumber,
517 'remote_id' => $this->attribute( 'remote_id' ),
518 'parent_node' => $this->attribute( 'parent_node' ),
519 'sort_field' => $this->attribute( 'sort_field' ),
520 'sort_order' => $this->attribute( 'sort_order' ),
521 'is_main' => $this->attribute( 'is_main' ),
522 'is_hidden' => $this->attribute( 'is_hidden' ),
523 'priority' => $this->attribute( 'priority' ),
524 'parent_remote_id' => $this->attribute( 'parent_remote_id' ) );
525 if ( $contentObjectID !== false )
526 $assignmentRow['contentobject_id'] = $contentObjectID;
527 return eZNodeAssignment::create( $assignmentRow );
528 }
529
530 function getParentNode()
531 {
532 return eZContentObjectTreeNode::fetch( $this->attribute( 'parent_node' ) );
533 }
534
538 function getParentObject( )
539 {
540 return eZContentObject::fetchByNodeID( $this->attribute( 'parent_node' ) );
541 }
542
550 static function setNewMainAssignment( $objectID, $version )
551 {
552 $assignments = eZNodeAssignment::fetchForObject( $objectID, $version );
553
554 if ( count( $assignments ) == 0 )
555 return true;
556
557 // check: if there is already main assignment for the object then we should do nothing
558 // BTW choose first nonremoving assignment as new main assignment
559 $newMainAssignment = null;
560 foreach ( $assignments as $key => $assignment )
561 {
562 if ( $assignment->attribute( 'op_code' ) != eZNodeAssignment::OP_CODE_REMOVE )
563 {
564 if ( $newMainAssignment === null )
565 {
566 $newMainAssignment = $assignment;
567 }
568 if ( $assignment->attribute( 'is_main' ) )
569 {
570 return false;
571 }
572 }
573 }
574
575 $db = eZDB::instance();
576
577 if ( $newMainAssignment === null )
578 {
579 $db->query( "UPDATE eznode_assignment SET is_main=0 WHERE contentobject_id=$objectID AND contentobject_version=$version" );
580 return false;
581 }
582
583 $parentMainNodeID = $newMainAssignment->attribute( 'parent_node' );
584
585 $db->begin();
586 $db->query( "UPDATE eznode_assignment SET is_main=1 WHERE contentobject_id=$objectID AND contentobject_version=$version AND parent_node=$parentMainNodeID" );
587 $db->query( "UPDATE eznode_assignment SET is_main=0 WHERE contentobject_id=$objectID AND contentobject_version=$version AND parent_node<>$parentMainNodeID" );
588 $db->commit();
589
590 return true;
591 }
592
594 public $ID;
597 public $RemoteID;
598 // Used for the remote id of the corresponding tree node (not the parent tree node!)
599 public $ParentRemoteID;
600 public $ContentobjectID;
601 public $ContentObjectVersion;
602 public $ParentNode;
603 public $SortField;
604 public $SortOrder;
605 public $Main;
606 public $FromNodeID;
607 public $Hidden;
608 public $Priority;
609 }
610
611 ?>
eZContentObjectTreeNode\SORT_FIELD_PATH
const SORT_FIELD_PATH
Definition: ezcontentobjecttreenode.php:18
eZContentObjectTreeNode\SORT_FIELD_PUBLISHED
const SORT_FIELD_PUBLISHED
Definition: ezcontentobjecttreenode.php:19
eZContentObjectTreeNode\SORT_ORDER_DESC
const SORT_ORDER_DESC
Definition: ezcontentobjecttreenode.php:32
eZContentObjectTreeNode\create
static create( $parentNodeID=null, $contentObjectID=null, $contentObjectVersion=0, $sortField=0, $sortOrder=true)
Definition: ezcontentobjecttreenode.php:182
eZContentObjectTreeNode\fetch
static fetch( $nodeID=false, $lang=false, $asObject=true, $conditions=false)
Definition: ezcontentobjecttreenode.php:3058
eZContentObjectTreeNode\fetchNode
static fetchNode( $contentObjectID, $parentNodeID)
Definition: ezcontentobjecttreenode.php:3172
eZContentObjectTreeNode\SORT_ORDER_ASC
const SORT_ORDER_ASC
Definition: ezcontentobjecttreenode.php:33
eZContentObjectVersion\STATUS_PENDING
const STATUS_PENDING
Definition: ezcontentobjectversion.php:31
eZContentObject\fetchByNodeID
static fetchByNodeID( $nodeID, $asObject=true)
Definition: ezcontentobject.php:1072
eZDB\instance
static instance( $databaseImplementation=false, $databaseParameters=false, $forceNewInstance=false)
Definition: ezdb.php:117
eZDebug\writeError
static writeError( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:545
eZNodeAssignment
The class eZNodeAssignment does.
Definition: eznodeassignment.php:17
eZNodeAssignment\OP_CODE_NOP
const OP_CODE_NOP
Definition: eznodeassignment.php:22
eZNodeAssignment\OP_CODE_SET_NOP
const OP_CODE_SET_NOP
Definition: eznodeassignment.php:34
eZNodeAssignment\cloneNodeAssignment
cloneNodeAssignment( $nextVersionNumber=1, $contentObjectID=false)
Definition: eznodeassignment.php:513
eZNodeAssignment\isCreateOperation
isCreateOperation()
Definition: eznodeassignment.php:161
eZNodeAssignment\$ContentobjectID
$ContentobjectID
Definition: eznodeassignment.php:600
eZNodeAssignment\fetch
static fetch( $contentObjectID, $version=1, $parentNode=0, $asObject=true)
Definition: eznodeassignment.php:409
eZNodeAssignment\isSetOperation
isSetOperation()
Definition: eznodeassignment.php:188
eZNodeAssignment\getParentObject
getParentObject()
Definition: eznodeassignment.php:538
eZNodeAssignment\setName
setName( $name)
Definition: eznodeassignment.php:138
eZNodeAssignment\$ContentObjectVersion
$ContentObjectVersion
Definition: eznodeassignment.php:601
eZNodeAssignment\fetchChildCountByVersionStatus
static fetchChildCountByVersionStatus( $parentNodeIDList, $status=eZContentObjectVersion::STATUS_PENDING)
Definition: eznodeassignment.php:461
eZNodeAssignment\isNopOperation
isNopOperation()
Definition: eznodeassignment.php:152
eZNodeAssignment\OP_CODE_MOVE_NOP
const OP_CODE_MOVE_NOP
Definition: eznodeassignment.php:28
eZNodeAssignment\OP_CODE_MOVE
const OP_CODE_MOVE
Definition: eznodeassignment.php:29
eZNodeAssignment\$ID
$ID
Definition: eznodeassignment.php:594
eZNodeAssignment\fetchChildListByVersionStatus
static fetchChildListByVersionStatus( $parentNodeIDList, $status=eZContentObjectVersion::STATUS_PENDING, $asObject=true)
Definition: eznodeassignment.php:484
eZNodeAssignment\OP_CODE_SET
const OP_CODE_SET
Definition: eznodeassignment.php:35
eZNodeAssignment\tempNode
tempNode()
Definition: eznodeassignment.php:124
eZNodeAssignment\fetchForObject
static fetchForObject( $contentObjectID, $version=1, $main=0, $asObject=true)
Definition: eznodeassignment.php:392
eZNodeAssignment\purgeByID
static purgeByID( $assignmentID)
Definition: eznodeassignment.php:364
eZNodeAssignment\$Priority
$Priority
Definition: eznodeassignment.php:608
eZNodeAssignment\fetchListByID
static fetchListByID( $idList, $asObject=true)
Definition: eznodeassignment.php:446
eZNodeAssignment\purgeByParentAndContentObjectID
static purgeByParentAndContentObjectID( $parentNodeID, $contentObjectID)
Definition: eznodeassignment.php:347
eZNodeAssignment\OP_CODE_CREATE
const OP_CODE_CREATE
Definition: eznodeassignment.php:26
eZNodeAssignment\$RemoteID
$RemoteID
Definition: eznodeassignment.php:597
eZNodeAssignment\name
name()
Definition: eznodeassignment.php:143
eZNodeAssignment\isMoveOperation
isMoveOperation()
Definition: eznodeassignment.php:170
eZNodeAssignment\$TempNode
$TempNode
Definition: eznodeassignment.php:18
eZNodeAssignment\isRemoveOperation
isRemoveOperation()
Definition: eznodeassignment.php:179
eZNodeAssignment\OP_CODE_REMOVE_NOP
const OP_CODE_REMOVE_NOP
Definition: eznodeassignment.php:31
eZNodeAssignment\fetchNode
fetchNode()
Definition: eznodeassignment.php:425
eZNodeAssignment\$OpCode
$OpCode
Definition: eznodeassignment.php:19
eZNodeAssignment\$SortOrder
$SortOrder
Definition: eznodeassignment.php:604
eZNodeAssignment\definition
static definition()
Definition: eznodeassignment.php:44
eZNodeAssignment\$ParentNode
$ParentNode
Definition: eznodeassignment.php:602
eZNodeAssignment\$FromNodeID
$FromNodeID
Definition: eznodeassignment.php:606
eZNodeAssignment\$ParentRemoteID
$ParentRemoteID
Definition: eznodeassignment.php:599
eZNodeAssignment\$Main
$Main
Definition: eznodeassignment.php:605
eZNodeAssignment\$SortField
$SortField
Definition: eznodeassignment.php:603
eZNodeAssignment\OP_CODE_REMOVE
const OP_CODE_REMOVE
Definition: eznodeassignment.php:32
eZNodeAssignment\purge
purge( $parentNodeID=false, $contentObjectID=false)
Definition: eznodeassignment.php:329
eZNodeAssignment\fetchByID
static fetchByID( $id, $asObject=true)
Definition: eznodeassignment.php:434
eZNodeAssignment\setNewMainAssignment
static setNewMainAssignment( $objectID, $version)
Definition: eznodeassignment.php:550
eZNodeAssignment\OP_CODE_EXECUTE
const OP_CODE_EXECUTE
Definition: eznodeassignment.php:23
eZNodeAssignment\removeByID
static removeByID( $assignmentID)
Definition: eznodeassignment.php:292
eZNodeAssignment\$Hidden
$Hidden
Definition: eznodeassignment.php:607
eZNodeAssignment\OP_CODE_CREATE_NOP
const OP_CODE_CREATE_NOP
Definition: eznodeassignment.php:25
eZNodeAssignment\getParentNode
getParentNode()
Definition: eznodeassignment.php:530
eZNodeAssignment\create
static create( $parameters=array())
Definition: eznodeassignment.php:193
eZNodeAssignment\__construct
__construct( $row)
Definition: eznodeassignment.php:37
eZPersistentObject
Definition: ezpersistentobject.php:33
eZPersistentObject\fetchObject
static fetchObject( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
Definition: ezpersistentobject.php:213
eZPersistentObject\count
static count( $def, $conds=null, $field=null)
Definition: ezpersistentobject.php:187
eZPersistentObject\attribute
attribute( $attr, $noFunction=false)
Definition: ezpersistentobject.php:1329
eZPersistentObject\fetchObjectList
static fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
Definition: ezpersistentobject.php:806
eZPersistentObject\$Name
$Name
Definition: ezpersistentobject.php:1475
eZRemoteIdUtility\generate
static generate( $type='')
Definition: ezremoteidutility.php:21
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.